Package Gnumed :: Package wxpython :: Module gmMeasurementWidgets :: Class cMeasurementsAsMostRecentListPnl |
[frames] | no frames]

# Class cMeasurementsAsMostRecentListPnl

source code

                                                                            wx.Panel --+
                                                                                       |
    wxGladeWidgets.wxgMeasurementsAsMostRecentListPnl.wxgMeasurementsAsMostRecentListPnl --+
                                                                                           |
                                                         gmRegetMixin.cRegetOnPaintMixin --+
                                                                                           |
                                                                                          cMeasurementsAsMostRecentListPnl

    A list ctrl class for displaying measurement results.

            - most recent results
            - possibly filtered by battery/panel

    - operates on a cPatient instance handed to it and NOT on the currently active patient

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Class Variables
| patient = `property(_get_patient, _set_patient)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__